
function doSubmit(){
	 var mylistvar =document.getElementById("filialesElegidasSelect");        
	             if(mylistvar  != null){      
	                for(var x=0;x<mylistvar.options.length;x++){ 
	            		
	            		var id = mylistvar.options[x].value;
	            		var idDesc = mylistvar.options[x].label;              	

						var addObjects = 
						 '<input type="hidden" name="deal.filialesElegidos['+x+'].idFilial"'
						+'   value="'+id+'" > ' 
						+'<input type="hidden" name="deal.filialesElegidos['+x+'].descFilial"'
						+'   value="'+idDesc+'" > ' 
						+'<input type="hidden" name="deal.filialesElegidos['+x+'].estatus"'
						+'   value="1" > ';
						
						$('#formaId').append(addObjects);
						
	                }
	             }

	     mylistvar =document.getElementById("typesElegidasSelect");        
	             if(mylistvar  != null){      
	                for(var x=0;x<mylistvar.options.length;x++){ 
	            		
	            		var id = mylistvar.options[x].value;
	            		var idDesc = mylistvar.options[x].label;              	

						var addObjects = 
						 '<input type="hidden" name="deal.typesElegidos['+x+'].idType"'
						+'   value="'+id+'" > ' 
						+'<input type="hidden" name="deal.typesElegidos['+x+'].descType"'
						+'   value="'+idDesc+'" > ' 
						+'<input type="hidden" name="deal.typesElegidos['+x+'].estatus"'
						+'   value="1" > ';
						
						$('#formaId').append(addObjects);
						
	                }
	             }
	             
	             
	        mylistvar =document.getElementById("typesDisponiblesSelect");        
	             if(mylistvar  != null){      
	                for(var x=0;x<mylistvar.options.length;x++){ 
	            		
	            		var id = mylistvar.options[x].value;
	            		var idDesc = mylistvar.options[x].label;              	

						var addObjects = 
						 '<input type="hidden" name="deal.typesDisponibles['+x+'].idType"'
						+'   value="'+id+'" > ' 
						+'<input type="hidden" name="deal.typesDisponibles['+x+'].descType"'
						+'   value="'+idDesc+'" > ' 
						+'<input type="hidden" name="deal.typesDisponibles['+x+'].estatus"'
						+'   value="1" > ';
						
						$('#formaId').append(addObjects);
						
	                }
	             }
	             
	         mylistvar =document.getElementById("filialesDisponiblesSelect");        
	             if(mylistvar  != null){      
	                for(var x=0;x<mylistvar.options.length;x++){ 
	            		
	            		var id = mylistvar.options[x].value;
	            		var idDesc = mylistvar.options[x].label;              	

						var addObjects = 
						 '<input type="hidden" name="deal.filialesDisponibles['+x+'].idFilial"'
						+'   value="'+id+'" > ' 
						+'<input type="hidden" name="deal.filialesDisponibles['+x+'].descFilial"'
						+'   value="'+idDesc+'" > ' 
						+'<input type="hidden" name="deal.filialesDisponibles['+x+'].estatus"'
						+'   value="1" > ';
						
						$('#formaId').append(addObjects);
						
	                }
	             }
	}